/************************************************************************

	kmuser - a User-Administration-Tool for the KDE-Desktop


    Copyright (C) 1998, 1999 	Klaus-Dieter Mller   
                       			kdm@coppernicus.se.sh.schule.de
		       

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

************************************************************************/


#include "main.h"


int main(int argc, char **argv)
{	ka=new KApplication(argc, argv, "kmuser");
		
	if(getuid())
	{	QMessageBox::warning(0, 0, "Only root allowed manage users.");
		exit(1);
	}
	
	kc=ka->getConfig();
	getdefaults();
	if(isquota)
	{	if(getquotadevice()) isquota=0;
	}
	
	Toplevel top;
	if(ka->isRestored())
	{	if(KTopLevelWidget::canBeRestored(1)) top.restore(1);
        }
	ka->setMainWidget(&top);
	top.setCaption("kmuser   "KU_VERSION);
	top.show();

	return ka->exec();
}
